//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 08:51:11 PM CET 
//


package org.tdwg.abcd3.zoology;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Elements for all unit-level data
 * 
 * <p>Java class for Unit complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Unit"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="SourceInstitutionID" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}InstitutionCode"/&gt;
 *         &lt;element name="ID" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String"/&gt;
 *         &lt;element name="FieldNumbers" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="FieldNumber" maxOccurs="unbounded"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="ID" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String"/&gt;
 *                             &lt;element name="CollectorName" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String" minOccurs="0"/&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="KindsOfUnit" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="KindOfUnit" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="RecordBasis" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}RecordBasisEnum" minOccurs="0"/&gt;
 *         &lt;element name="DateModified" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}DateTimeISO" minOccurs="0"/&gt;
 *         &lt;element name="Notes" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" minOccurs="0"/&gt;
 *         &lt;element name="Identifications" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Identification" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Identification" maxOccurs="unbounded" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="Preparations" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Preparation" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Preparation" maxOccurs="unbounded" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="NomenclaturalTypeDesignation" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="TypeStatus" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String" minOccurs="0"/&gt;
 *                   &lt;element name="VerificationNotes" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="Acquisitions" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Acquisition" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Acquisition" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="PreviousUnits" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="PreviousUnit" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}PreviousUnit" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="InformationWithheld" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" maxOccurs="unbounded"/&gt;
 *         &lt;element name="Blocked" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="LoanConditions" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String" minOccurs="0"/&gt;
 *         &lt;element name="LegalStatements" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}LegalStatements" minOccurs="0"/&gt;
 *         &lt;element name="Gathering" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Gathering" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Unit", propOrder = {
    "sourceInstitutionID",
    "id",
    "fieldNumbers",
    "kindsOfUnit",
    "recordBasis",
    "dateModified",
    "notes",
    "identifications",
    "preparations",
    "nomenclaturalTypeDesignation",
    "acquisitions",
    "previousUnits",
    "informationWithheld",
    "blocked",
    "loanConditions",
    "legalStatements",
    "gathering"
})
public class Unit {

    @XmlElement(name = "SourceInstitutionID", required = true)
    protected String sourceInstitutionID;
    @XmlElement(name = "ID", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String id;
    @XmlElement(name = "FieldNumbers")
    protected Unit.FieldNumbers fieldNumbers;
    @XmlElement(name = "KindsOfUnit")
    protected Unit.KindsOfUnit kindsOfUnit;
    @XmlElement(name = "RecordBasis")
    @XmlSchemaType(name = "Name")
    protected RecordBasisEnum recordBasis;
    @XmlElement(name = "DateModified")
    protected String dateModified;
    @XmlElement(name = "Notes")
    protected StringL notes;
    @XmlElement(name = "Identifications")
    protected Unit.Identifications identifications;
    @XmlElement(name = "Preparations")
    protected Unit.Preparations preparations;
    @XmlElement(name = "NomenclaturalTypeDesignation")
    protected Unit.NomenclaturalTypeDesignation nomenclaturalTypeDesignation;
    @XmlElement(name = "Acquisitions")
    protected Unit.Acquisitions acquisitions;
    @XmlElement(name = "PreviousUnits")
    protected Unit.PreviousUnits previousUnits;
    @XmlElement(name = "InformationWithheld", required = true)
    protected List<StringL> informationWithheld;
    @XmlElement(name = "Blocked")
    protected Boolean blocked;
    @XmlElement(name = "LoanConditions")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String loanConditions;
    @XmlElement(name = "LegalStatements")
    protected LegalStatements legalStatements;
    @XmlElement(name = "Gathering")
    protected Gathering gathering;

    /**
     * Gets the value of the sourceInstitutionID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSourceInstitutionID() {
        return sourceInstitutionID;
    }

    /**
     * Sets the value of the sourceInstitutionID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSourceInstitutionID(String value) {
        this.sourceInstitutionID = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getID() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setID(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the fieldNumbers property.
     * 
     * @return
     *     possible object is
     *     {@link Unit.FieldNumbers }
     *     
     */
    public Unit.FieldNumbers getFieldNumbers() {
        return fieldNumbers;
    }

    /**
     * Sets the value of the fieldNumbers property.
     * 
     * @param value
     *     allowed object is
     *     {@link Unit.FieldNumbers }
     *     
     */
    public void setFieldNumbers(Unit.FieldNumbers value) {
        this.fieldNumbers = value;
    }

    /**
     * Gets the value of the kindsOfUnit property.
     * 
     * @return
     *     possible object is
     *     {@link Unit.KindsOfUnit }
     *     
     */
    public Unit.KindsOfUnit getKindsOfUnit() {
        return kindsOfUnit;
    }

    /**
     * Sets the value of the kindsOfUnit property.
     * 
     * @param value
     *     allowed object is
     *     {@link Unit.KindsOfUnit }
     *     
     */
    public void setKindsOfUnit(Unit.KindsOfUnit value) {
        this.kindsOfUnit = value;
    }

    /**
     * Gets the value of the recordBasis property.
     * 
     * @return
     *     possible object is
     *     {@link RecordBasisEnum }
     *     
     */
    public RecordBasisEnum getRecordBasis() {
        return recordBasis;
    }

    /**
     * Sets the value of the recordBasis property.
     * 
     * @param value
     *     allowed object is
     *     {@link RecordBasisEnum }
     *     
     */
    public void setRecordBasis(RecordBasisEnum value) {
        this.recordBasis = value;
    }

    /**
     * Gets the value of the dateModified property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDateModified() {
        return dateModified;
    }

    /**
     * Sets the value of the dateModified property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDateModified(String value) {
        this.dateModified = value;
    }

    /**
     * Gets the value of the notes property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getNotes() {
        return notes;
    }

    /**
     * Sets the value of the notes property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setNotes(StringL value) {
        this.notes = value;
    }

    /**
     * Gets the value of the identifications property.
     * 
     * @return
     *     possible object is
     *     {@link Unit.Identifications }
     *     
     */
    public Unit.Identifications getIdentifications() {
        return identifications;
    }

    /**
     * Sets the value of the identifications property.
     * 
     * @param value
     *     allowed object is
     *     {@link Unit.Identifications }
     *     
     */
    public void setIdentifications(Unit.Identifications value) {
        this.identifications = value;
    }

    /**
     * Gets the value of the preparations property.
     * 
     * @return
     *     possible object is
     *     {@link Unit.Preparations }
     *     
     */
    public Unit.Preparations getPreparations() {
        return preparations;
    }

    /**
     * Sets the value of the preparations property.
     * 
     * @param value
     *     allowed object is
     *     {@link Unit.Preparations }
     *     
     */
    public void setPreparations(Unit.Preparations value) {
        this.preparations = value;
    }

    /**
     * Gets the value of the nomenclaturalTypeDesignation property.
     * 
     * @return
     *     possible object is
     *     {@link Unit.NomenclaturalTypeDesignation }
     *     
     */
    public Unit.NomenclaturalTypeDesignation getNomenclaturalTypeDesignation() {
        return nomenclaturalTypeDesignation;
    }

    /**
     * Sets the value of the nomenclaturalTypeDesignation property.
     * 
     * @param value
     *     allowed object is
     *     {@link Unit.NomenclaturalTypeDesignation }
     *     
     */
    public void setNomenclaturalTypeDesignation(Unit.NomenclaturalTypeDesignation value) {
        this.nomenclaturalTypeDesignation = value;
    }

    /**
     * Gets the value of the acquisitions property.
     * 
     * @return
     *     possible object is
     *     {@link Unit.Acquisitions }
     *     
     */
    public Unit.Acquisitions getAcquisitions() {
        return acquisitions;
    }

    /**
     * Sets the value of the acquisitions property.
     * 
     * @param value
     *     allowed object is
     *     {@link Unit.Acquisitions }
     *     
     */
    public void setAcquisitions(Unit.Acquisitions value) {
        this.acquisitions = value;
    }

    /**
     * Gets the value of the previousUnits property.
     * 
     * @return
     *     possible object is
     *     {@link Unit.PreviousUnits }
     *     
     */
    public Unit.PreviousUnits getPreviousUnits() {
        return previousUnits;
    }

    /**
     * Sets the value of the previousUnits property.
     * 
     * @param value
     *     allowed object is
     *     {@link Unit.PreviousUnits }
     *     
     */
    public void setPreviousUnits(Unit.PreviousUnits value) {
        this.previousUnits = value;
    }

    /**
     * Gets the value of the informationWithheld property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the informationWithheld property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getInformationWithheld().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link StringL }
     * 
     * 
     */
    public List<StringL> getInformationWithheld() {
        if (informationWithheld == null) {
            informationWithheld = new ArrayList<StringL>();
        }
        return this.informationWithheld;
    }

    /**
     * Gets the value of the blocked property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isBlocked() {
        return blocked;
    }

    /**
     * Sets the value of the blocked property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setBlocked(Boolean value) {
        this.blocked = value;
    }

    /**
     * Gets the value of the loanConditions property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLoanConditions() {
        return loanConditions;
    }

    /**
     * Sets the value of the loanConditions property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLoanConditions(String value) {
        this.loanConditions = value;
    }

    /**
     * Gets the value of the legalStatements property.
     * 
     * @return
     *     possible object is
     *     {@link LegalStatements }
     *     
     */
    public LegalStatements getLegalStatements() {
        return legalStatements;
    }

    /**
     * Sets the value of the legalStatements property.
     * 
     * @param value
     *     allowed object is
     *     {@link LegalStatements }
     *     
     */
    public void setLegalStatements(LegalStatements value) {
        this.legalStatements = value;
    }

    /**
     * Gets the value of the gathering property.
     * 
     * @return
     *     possible object is
     *     {@link Gathering }
     *     
     */
    public Gathering getGathering() {
        return gathering;
    }

    /**
     * Sets the value of the gathering property.
     * 
     * @param value
     *     allowed object is
     *     {@link Gathering }
     *     
     */
    public void setGathering(Gathering value) {
        this.gathering = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Acquisition" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Acquisition" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "acquisition"
    })
    public static class Acquisitions {

        @XmlElement(name = "Acquisition", required = true)
        protected List<Acquisition> acquisition;

        /**
         * Gets the value of the acquisition property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the acquisition property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getAcquisition().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Acquisition }
         * 
         * 
         */
        public List<Acquisition> getAcquisition() {
            if (acquisition == null) {
                acquisition = new ArrayList<Acquisition>();
            }
            return this.acquisition;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="FieldNumber" maxOccurs="unbounded"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="ID" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String"/&gt;
     *                   &lt;element name="CollectorName" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String" minOccurs="0"/&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "fieldNumber"
    })
    public static class FieldNumbers {

        @XmlElement(name = "FieldNumber", required = true)
        protected List<Unit.FieldNumbers.FieldNumber> fieldNumber;

        /**
         * Gets the value of the fieldNumber property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the fieldNumber property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getFieldNumber().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Unit.FieldNumbers.FieldNumber }
         * 
         * 
         */
        public List<Unit.FieldNumbers.FieldNumber> getFieldNumber() {
            if (fieldNumber == null) {
                fieldNumber = new ArrayList<Unit.FieldNumbers.FieldNumber>();
            }
            return this.fieldNumber;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="ID" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String"/&gt;
         *         &lt;element name="CollectorName" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String" minOccurs="0"/&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "id",
            "collectorName"
        })
        public static class FieldNumber {

            @XmlElement(name = "ID", required = true)
            @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
            @XmlSchemaType(name = "normalizedString")
            protected String id;
            @XmlElement(name = "CollectorName")
            @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
            @XmlSchemaType(name = "normalizedString")
            protected String collectorName;

            /**
             * Gets the value of the id property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getID() {
                return id;
            }

            /**
             * Sets the value of the id property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setID(String value) {
                this.id = value;
            }

            /**
             * Gets the value of the collectorName property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getCollectorName() {
                return collectorName;
            }

            /**
             * Sets the value of the collectorName property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setCollectorName(String value) {
                this.collectorName = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Identification" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Identification" maxOccurs="unbounded" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "identification"
    })
    public static class Identifications {

        @XmlElement(name = "Identification")
        protected List<Identification> identification;

        /**
         * Gets the value of the identification property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the identification property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getIdentification().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Identification }
         * 
         * 
         */
        public List<Identification> getIdentification() {
            if (identification == null) {
                identification = new ArrayList<Identification>();
            }
            return this.identification;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="KindOfUnit" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "kindOfUnit"
    })
    public static class KindsOfUnit {

        @XmlElement(name = "KindOfUnit", required = true)
        protected List<StringL> kindOfUnit;

        /**
         * Gets the value of the kindOfUnit property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the kindOfUnit property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getKindOfUnit().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link StringL }
         * 
         * 
         */
        public List<StringL> getKindOfUnit() {
            if (kindOfUnit == null) {
                kindOfUnit = new ArrayList<StringL>();
            }
            return this.kindOfUnit;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="TypeStatus" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}String" minOccurs="0"/&gt;
     *         &lt;element name="VerificationNotes" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}StringL" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "typeStatus",
        "verificationNotes"
    })
    public static class NomenclaturalTypeDesignation {

        @XmlElement(name = "TypeStatus")
        @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
        @XmlSchemaType(name = "normalizedString")
        protected String typeStatus;
        @XmlElement(name = "VerificationNotes")
        protected StringL verificationNotes;

        /**
         * Gets the value of the typeStatus property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getTypeStatus() {
            return typeStatus;
        }

        /**
         * Sets the value of the typeStatus property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setTypeStatus(String value) {
            this.typeStatus = value;
        }

        /**
         * Gets the value of the verificationNotes property.
         * 
         * @return
         *     possible object is
         *     {@link StringL }
         *     
         */
        public StringL getVerificationNotes() {
            return verificationNotes;
        }

        /**
         * Sets the value of the verificationNotes property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringL }
         *     
         */
        public void setVerificationNotes(StringL value) {
            this.verificationNotes = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Preparation" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Preparation" maxOccurs="unbounded" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "preparation"
    })
    public static class Preparations {

        @XmlElement(name = "Preparation")
        protected List<Preparation> preparation;

        /**
         * Gets the value of the preparation property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the preparation property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPreparation().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Preparation }
         * 
         * 
         */
        public List<Preparation> getPreparation() {
            if (preparation == null) {
                preparation = new ArrayList<Preparation>();
            }
            return this.preparation;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="PreviousUnit" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}PreviousUnit" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "previousUnit"
    })
    public static class PreviousUnits {

        @XmlElement(name = "PreviousUnit", required = true)
        protected List<PreviousUnit> previousUnit;

        /**
         * Gets the value of the previousUnit property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the previousUnit property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPreviousUnit().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link PreviousUnit }
         * 
         * 
         */
        public List<PreviousUnit> getPreviousUnit() {
            if (previousUnit == null) {
                previousUnit = new ArrayList<PreviousUnit>();
            }
            return this.previousUnit;
        }

    }

}
